## Interface Swift_Events_TransportChangeListener

(line 22)

## Description

    Swift_Events_EventListener
       |
       --Swift_Events_TransportChangeListener

Located in File: /vendors/swiftMailer/classes/Swift/Events/TransportChangeListener.php

##### Listens for changes within the Transport system.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void beforeTransportStarted (Swift_Events_TransportChangeEvent $evt)
void beforeTransportStopped (Swift_Events_TransportChangeEvent $evt)
void transportStarted (Swift_Events_TransportChangeEvent $evt)
void transportStopped (Swift_Events_TransportChangeEvent $evt)

#### Method beforeTransportStarted (line 30)

#### void beforeTransportStarted( Swift_Events_TransportChangeEvent $evt)

##### Invoked just before a Transport is started.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

#### Method beforeTransportStopped (line 44)

#### void beforeTransportStopped( Swift_Events_TransportChangeEvent $evt)

##### Invoked just before a Transport is stopped.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

#### Method transportStarted (line 37)

#### void transportStarted( Swift_Events_TransportChangeEvent $evt)

##### Invoked immediately after the Transport is started.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

#### Method transportStopped (line 51)

#### void transportStopped( Swift_Events_TransportChangeEvent $evt)

##### Invoked immediately after the Transport is stopped.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:31 +0000 by phpDocumentor 1.4.3